#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "gaming-core/rendering/FileTexture.h"
#include "gaming-core/rendering/VertexBuffer.h"
#include "gaming-core/utils/Color.h"

class FontRenderer final {
    static constexpr int MAX_CHARS = 256;
    static constexpr int VERTEX_SIZE = 4 * sizeof(float) + sizeof(Color4);

    VertexBuffer vertexBuffer;
    FileTexture tex;

public:
    FontRenderer();

    void drawString(float x, float y, const char* text);
};

#endif