#ifndef MESH_H
#define MESH_H

#include "client/rendering/Triangle.h"
#include "gaming-core/rendering/VertexBuffer.h"
#include "gaming-core/utils/TypedBuffer.h"

class Mesh final {
public:
    Mesh();

    void build(const TypedBuffer<Triangle>& buffer);
    void draw();

private:
    VertexBuffer vertexBuffer;
    int vertices;
};

#endif